
setwd("C:/site_amp/equivalent_constant-velocity_layered_model")

DF <- read.table("dmb_interpolate_bj97_gr_vhr_to_760mps.mdl.site_amp_batch.1200_freqs.asc",header=TRUE,skip=7)

#> names(DF)
# [1] "dmb_inte.d"  "dmb_inte.v"  "dmb_inte.r"  "dmb_inteqi"  "d2layer_bot" "tt2lyrbot"   "thck_lyr"    "vel_layer"   "dens_layr"   "slownss_lyr" "avgvel"     
#[12] "avgdens"     "avgaoi"      "dmb_inte.f"  "dmb_inte.a"  "dmb_inte.k"  "dmb_inteak"  "fmin4model"  "z.m."        "v.m.s."      "slowness"   

d2bot <- 8
#d2bot <- 1  # special case
d2botmax <- 8

tt2bot <- approx(x=DF$d2layer_bot, y=DF$tt2lyrbot, xout=d2bot)[[2]]
tt2botmax <- approx(x=DF$d2layer_bot, y=DF$tt2lyrbot, xout=d2botmax)[[2]]

#> tt2bot
#[1] 2.620898   # for d2bot=8 km
#tt2bot <- 2.621
#> tt2bot
#[1] 0.4830906  # for d2bot=1 km

nlayers <- 20

if (d2bot == d2botmax){
  tt <- (tt2bot/nlayers)*c(1:nlayers)
} else {
  tt <- (tt2bot/(nlayers-1))*c(1:(nlayers-1))
  tt[nlayers] <- tt2botmax
}

d <- approx(x=DF$tt2lyrbot, y=DF$d2layer_bot, xout=tt)

#dout <- c(as.integer(nlayers), d[[2]][1:(nlayers-1)], 8.0)

dout <- c(as.integer(format(nlayers,digits=0)), round(d[[2]][1:(nlayers-1)],digits=3), d2botmax)

write.table(t(dout),paste("dout.d2bot_",as.character(d2bot),".d2botmax_",as.character(d2botmax),".nlayers_",as.character(nlayers),".txt",sep=""),row.names=FALSE, col.names=FALSE)

