!Control file for program SMC_Apply_Site_Response
! This program computes the time domain response of an input motion after
! applying site amplifications from the program Nrattle.
! Note that it is crucial that the Nrattle parameters fhigh and nfreq are 
! consistent with the sampling rate (sps) and length (npts) of the input time series.  In particular:
!
!         fhigh= sps/2 (the Nyquist frequency) (where sps = 1/dt)
!
!         nfreq = npts/2 + 1
!
! Another constraint is that npts be a power of 2.   The length of the input time series will
! probably not be a power of 2, but that can be changed by using smc_snip, adjusting the 
! parameters tskip and tlength so that the snipped time series is a power of 2. The tlength parameter
! might need to be slightly larger than the desired length in order to overcome roundoff
! in reading the smc_snip control file parameters; check the headers of the output file to make sure that npts is
! the desired value.
!
! Another point:  the smc_apply_site response program assumes that the nrattle output was created using a version 
! of nrattle with a date of 12 December 2015 or later (because a line giving the number of layers
! in the model was added before the model, in the file containing the complex amplification values).
!
! As many comment lines as desired, each starting with "!"
! The string "pp:" indicates a new set of processing parameters
! to be applied to the following smc files.  The parameters are given on the
! following lines.
! Revision of program involving a change in the control file on this date:
   12/21/15
!Name of summary file:
 smc_apply_site_response.sum
!Name of complex transfer function, made with nrattle.
 composite_model.mdl.aoi_00.for_ts.q50.nrattle_complex_spectra.out
!time shift for impulse response [in freq dom, multiply FS by exp(+i*omega*tshift)]:
 1.0
!String to append to input file name when constructing the output filename.
 .site_response.smc
!mean info to apply to input file:
! type of mean (0=no correction, 1=standard average; -1=specify mean)
! t4mean_strt, t4mean_stop, mean (use if type = -1)
! NOTE: need entries even if the parameter is not used (because read
! info use list-directed [unformatted] input) 
! Note that if working with a processed record that includes the 
! complete time series produced by the processing (e.g., the padded time series
! for acausal filtering or the post-processing baseline corrected time series
! produced from pad-stripped or pass-through data in the first NGA project), 
! it is inadvisible to remove the mean as this may 
! produce unintended distortions at long periods; in this case set t4mean < 0.0.
! If the record is pad-stripped, however, as provided by most
! data centers, without post-processing to remove drifts in displacement,
! a mean determined from the overall record probably should be 
! removed.  But in this case the displacement will probably be inaccurate
! (compared to the displacement derived from the padded, filtered acceleration
! time series), it may be that a better approach is to specify the initial
! velocity and displacement of the record---I am working on that (11/26/10):
 0  1.0 20.0  -999.
!List of files 
 t0781pea.smc
 t0781ped.smc
Stop
