      Program Vel2TT_Summary

* Reads vtt file made by vel2tt and extracts and writes summary information:

*        f_mdl, nd_out, dmax, d_xtrap, v30, vref, fqtr

* Reads info from a control file; here is an example:

*!Control file for vel2tt_summary
*!Name of the output file:
* vtt.sum
*!List of input files
*asten_pkapr04e_s_thick.mdl.vtt
*asten_pkdec2_s_thick.mdl.vtt
*asten_pkdec2_vs.txt.vtt
* STOP

* Dates: 05/25/06 - Written by D. Boore, patterned after vel2tt
!        12/16/10 - Add tqtr to output
!        12/16/10 - Slight modernization (remove statement labels)
 
      character f_out*120, f_vtt*120, f_mdl*120, 
     :          buf*100, buf4*4 
      character cmnts2skip(50)*80, type*1
      
      integer status

      character f_ctl*80
      logical f_exist, susp_log

      f_exist = .false.
      do while (.not. f_exist)
        f_ctl = ' '
        write(*, '(a\)') 
     :    ' Enter name of control file (cr = vel2tt_summary.ctl; '//
     :                                 'ctl-brk to quit): '
        read(*, '(a)') f_ctl
        if (f_ctl .eq. ' ') f_ctl = 'vel2tt_summary.ctl'
        call trim_c(f_ctl, nc_f_ctl)
        inquire(file=f_ctl(1:nc_f_ctl), exist=f_exist)
        if (.not. f_exist) then
          write(*,'(a)') ' ******* FILE DOES NOT EXIST ******* '
        end if
      end do

      call get_lun(nu_ctl)
      open(unit=nu_ctl,file=f_ctl(1:nc_f_ctl),status='unknown')

  
* Get output file name:
      call skipcmnt(nu_ctl, cmnts2skip, nc_cmnts2skip)
      read(nu_ctl, '(a)') f_out
      call trim_c(f_out,nc_f_out)
      call get_lun(nu_out)
      open(unit=nu_out,file=f_out(1:nc_f_out),status='unknown')
      write(nu_out,'(1x,55x, a, 3x,a, 3x,a, 1x,a, 4x,a, 3x,a,
     :               4x,a, 4x,a)') 
     :    'f_mdl', 'nd', 'dmax', 'd_xtrap', 'v30', 'vref', 
     :    'fqtr', 'Tqtr'

 
* Read and process files:
      call skipcmnt(nu_ctl, cmnts2skip, nc_cmnts2skip)

      loop over files: DO

      buf = ' '
      read(nu_ctl,'(a)',iostat=status) buf
      if (status /= 0) then
        EXIT loop over files
      end if
      call trim_c(buf, nc_buf)
      buf4 = ' '
      buf4 = buf(1:4)
      call upstr(buf4)
      if (buf4 == 'STOP') then
        EXIT loop over files
      end if     

      f_vtt = ' '
      f_vtt = buf(1:nc_buf)
      call trim_c(f_vtt, nc_f_vtt)
      f_exist = .false.
      inquire(file=f_vtt(1:nc_f_vtt), exist=f_exist)
      if (.not. f_exist) then
         write(*,'(a)') 
     :  ' ******* FILE '//f_vtt(1:nc_f_vtt)//' DOES NOT EXIST ******* '
         write(*,'(a)') ' Skipping to next file'
         CYCLE loop over files
      end if
 

      call get_lun(nu_vtt)
      open(nu_vtt,file=f_vtt(1:nc_f_vtt),status='unknown')

      call skip(nu_vtt, 4)
      
      f_mdl = ' '
      read(nu_vtt,'(a)') f_mdl
      call trim_c(f_mdl, nc_f_mdl)
      
      call skip(nu_vtt, 1)
 
      read(nu_vtt,*) nd_out, dmax, d_xtrap, v30, vref
      
      call skip(nu_vtt, 1)

      do i=1, nd_out
        read(nu_vtt,*) d1, d2, d3, d4, d5, d6, fqtr
      end do
      
      close(nu_vtt)
      
      write(nu_out,
     :   '(1x,a60, 1x,i4, 1x,f6.1, 4x,f4.1, 1x,f6.1, 1x,f6.1, 
     :     1x,f7.3, 1x,f7.3)')
     :     f_mdl(1:nc_f_mdl), nd_out, dmax, d_xtrap, v30, vref, 
     :     fqtr, 1.0/fqtr
     
     
 
      END DO loop over files
      
      close(nu_ctl)
      close(nu_out)
 
      end


      include '\forprogs\get_lun.for'
      include '\forprogs\trim_c.for'
      include '\forprogs\upstr.for'
      include '\forprogs\skip.for'
      include '\forprogs\skipcmnt.for'

      